Bug 256325 - net-mgmt/cacti: Upgrade to 1.2.17
Summary: net-mgmt/cacti: Upgrade to 1.2.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-01 07:52 UTC by Rodrigo Osorio
Modified: 2021-06-10 14:59 UTC (History)
2 users (show)

See Also:
m.muenz: maintainer-feedback+


Attachments
upgrade cacti to 1.2.17 (27.22 KB, patch)
2021-06-01 07:52 UTC, Rodrigo Osorio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Osorio freebsd_committer 2021-06-01 07:52:53 UTC
Created attachment 225441 [details]
upgrade cacti to 1.2.17

Hi,

I did the required work to successfully build and package new version of cacti,
released last month, but didn't test it. This release fix multiple bugs including security issues.

Also there is some linting to do on the Makefile with portclippy and friends[1],
but I didn't include those changes in this patch to avoid confusion.

[1] https://docs.freebsd.org/en/books/porters-handbook/testing/#testing-portclippy
Comment 1 Li-Wen Hsu freebsd_committer 2021-06-01 14:33:16 UTC
Submitter is committer.
Comment 2 Rodrigo Osorio freebsd_committer 2021-06-02 06:02:54 UTC
Reminder of m.muenz@gmail.com, cacti 1.2.17 fix CVE-2020-35701,

This fix has to be 
 - MFH in latest quarter branch 
 - reported in lates vuxml.
Comment 3 Rodrigo Osorio freebsd_committer 2021-06-09 05:00:32 UTC
Hi Michael,

Did you had a chance to test the patch so I can proceed and commit the changes ?

Regards
-- rodrigo
Comment 4 Michael Muenz 2021-06-10 10:40:33 UTC
Comment on attachment 225441 [details]
upgrade cacti to 1.2.17

I tested the patch, build a pkg and updated my live system, works good! Thx
Comment 5 commit-hook freebsd_committer 2021-06-10 14:41:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=073124bd04f0d5cb9c80599da3df15887e3968ef

commit 073124bd04f0d5cb9c80599da3df15887e3968ef
Author:     Rodrigo Osorio <rodrigo@FreeBSD.org>
AuthorDate: 2021-06-10 14:30:29 +0000
Commit:     Rodrigo Osorio <rodrigo@FreeBSD.org>
CommitDate: 2021-06-10 14:12:07 +0000

    net-mgmt/cacti: Update to 1.2.17

    Full changelog: https://github.com/Cacti/cacti/releases/tag/release%2F1.2.17

    PR:             256325
    Security:       CVE-2020-35701
    MFH:            2021Q2
    Approved by:    Michael Muenz <m.muenz@gmail.com> (maintainer)

 net-mgmt/cacti/Makefile                      |   2 +-
 net-mgmt/cacti/distinfo                      |   6 +-
 net-mgmt/cacti/files/patch-lib_installer.php |   8 +-
 net-mgmt/cacti/pkg-plist                     | 277 ++++++++++++++++++++-------
 4 files changed, 219 insertions(+), 74 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-06-10 14:57:50 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3ea5cea62b96b9cc28c69f4b753b03d18fbf5154

commit 3ea5cea62b96b9cc28c69f4b753b03d18fbf5154
Author:     Rodrigo Osorio <rodrigo@FreeBSD.org>
AuthorDate: 2021-06-10 14:30:29 +0000
Commit:     Rodrigo Osorio <rodrigo@FreeBSD.org>
CommitDate: 2021-06-10 14:56:49 +0000

    net-mgmt/cacti: Update to 1.2.17

    Full changelog: https://github.com/Cacti/cacti/releases/tag/release%2F1.2.17

    PR:             256325
    Security:       CVE-2020-35701
    MFH:            2021Q2
    Approved by:    Michael Muenz <m.muenz@gmail.com> (maintainer)

    (cherry picked from commit 073124bd04f0d5cb9c80599da3df15887e3968ef)

 net-mgmt/cacti/Makefile                      |   2 +-
 net-mgmt/cacti/distinfo                      |   6 +-
 net-mgmt/cacti/files/patch-lib_installer.php |   8 +-
 net-mgmt/cacti/pkg-plist                     | 277 ++++++++++++++++++++-------
 4 files changed, 219 insertions(+), 74 deletions(-)
Comment 7 Rodrigo Osorio freebsd_committer 2021-06-10 14:59:42 UTC
Committed, thanks.
vuxml and MFH done.